QXmppRpcInvokeIq Class Reference
Stanzas

The QXmppRpcInvokeIq class represents an IQ used to carry an RPC invocation as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcIq.h>`

Inheritance diagram for QXmppRpcInvokeIq:
[legend]
Collaboration diagram for QXmppRpcInvokeIq:
[legend]

## Public Member Functions

QString | method () const
void | setMethod (const QString &method)
QVariantList | arguments () const
void | setArguments (const QVariantList &arguments)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Friends

class | QXmppRpcErrorIq

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRpcInvokeIq class represents an IQ used to carry an RPC invocation as specified by XEP-0009: Jabber-RPC.

## Member Function Documentation

## arguments()

QVariantList QXmppRpcInvokeIq::arguments | ( |  | ) | const

Returns the method arguments.

## method()

QString QXmppRpcInvokeIq::method | ( |  | ) | const

Returns the method name.

## setArguments()

void QXmppRpcInvokeIq::setArguments | ( | const QVariantList & | arguments | ) |

Sets the method arguments.

Parameters

  arguments |

## setMethod()

void QXmppRpcInvokeIq::setMethod | ( | const QString & | method | ) |

Sets the method name.

Parameters

  method |

The documentation for this class was generated from the following files:

- QXmppRpcIq.h
- QXmppRpcIq.cpp